#drawer
{
    height: 60%;
}

.drawer
{
    border: 1px solid #242424;
    border-radius: 5px;
    background-color: #dfdfdf;
    margin-top: 5px;
    width: 100%;
    height: 100%;
    touch-action: none;
    user-select: none;
    -webkit-user-select: none;
}

.drawer-dark
{
    background-color: #2c2c2c;
}

.context-menu
{
    color: black;
    background-color: white;
    
    width: 200px;
    height: 90px;

    border-color: #888FF6;
    border-width: 1px;
    border-radius: 5px;
}

.context-menu:hover
{
    background-color: white;
}

.context-menu-dark
{
    color: white;
    background-color: rgb(49, 49, 49);
    
    width: 200px;
    height: 90px;

    border-color: #888FF6;
    border-width: 1px;
    border-radius: 5px;
}

.context-menu-dark:hover
{
    background-color: rgb(49, 49, 49);
}

.context-menu-item
{
    color: black;
    background-color: white;
    border-color: white;
    border-width: 0px;
    border-radius: 5px;
    margin: 10px;
}

.context-menu-item:hover
{
    background-color: rgb(245, 245, 255);
}

.context-menu-item-dark
{
    color: white;
    background-color: rgb(49, 49, 49);
    border-color: white;
    border-width: 0px;
    border-radius: 5px;
    margin: 10px;
}

.context-menu-item-dark:hover
{
    background-color: rgb(38, 38, 53);
}

.net-element
{
    color: black;
    background-color: white;
    
    width: 200px;
    height: 90px;

    border-color: #888FF6;
    border-width: 1px;
    border-radius: 5px;
}

.net-element-dark
{
    color: rgb(201, 201, 201);
    background-color: rgb(15, 12, 48);
    
    width: 200px;
    height: 90px;

    border-color: #888FF6;
    border-width: 1px;
    border-radius: 5px;
}

.net-element:hover
{
    background-color: rgb(245, 245, 255);
}

.net-element-dark
{
    color: white;
    background-color: black;
    
    width: 200px;
    height: 90px;

    border-color: #888FF6;
    border-width: 1px;
    border-radius: 5px;
}

.net-element-dark:hover
{
    background-color: rgb(38, 38, 110);
}

.net-connection
{
    color: #888FF6;
}

.dialog
{
    position: fixed;
    top: 50%;
    left: 50%;
    border: 1px solid #888FF6;
    border-radius: 5px;
    transform: translate(-50%, -50%);
    background-color: var(--dialog-element-background);
    color: var(--dialog-color);
}

.dialog::backdrop
{
    backdrop-filter: blur(2px);
}

:root
{
    --drawer-background-color: #dfdfdf;
    --dialog-element-background-hover: rgb(245, 245, 255);
    --dialog-element-background: white;
    --dialog-color: black;
}

body.dark-theme
{
    --drawer-background-color: #2c2c2c;
    --dialog-element-background-hover: rgb(41, 41, 60);
    --dialog-element-background: rgb(44, 44, 44);
    --dialog-color: white;
}

.dialog-element
{
    margin: 5px;
    font-family: "Montserrat";
    background-color: var(--dialog-element-background);
    white-space: nowrap;
}

.dialog-element:hover
{
    background-color: var(--dialog-element-background-hover);
}

.dialog-header
{
    margin: 5px;
    text-decoration: underline;
}

.button
{
    border: 1px solid #888FF6;
    border-radius: 5px;
    padding: 3px;
    display: inline-block;
    width: fit-content;
    font-size: medium;
    color: var(--dialog-color);
}

.right
{
    margin-left: auto;
}

.input
{
    border: 1px solid #888FF6;
    border-radius: 5px;
    padding: 3px;
    color: var(--dialog-color);
}

.input:focus
{
    border: 1px solid #888FF6;
    border-radius: 5px;
    outline: none;
}

.flex
{
    display: flex;
}

.hidden
{
    display: none;
}

.download-block
{
    display: grid;
    grid-template-columns: 60% 40%; /* Разрезали экран */
    width: auto;
}

.download-block-right {
  justify-self: end; /* Прижать к правому краю первой колонки (которая 60%) */
}

.download-block-left {
  justify-self: start;
}

#downloadModal {
    display: none; 
    position: fixed; 
    top: 0; left: 0; 
    width: 100%; height: 100%;
    
    /* Делаем фон очень прозрачным (0.4 — степень затемнения) */
    /* Можно выбрать темный вариант: */
    background: rgba(0, 0, 0, 0.4); 
    
    /* Или слегка цветной «тонированный» вариант: */
    /* background: rgba(26, 42, 108, 0.3); */

    /* Это свойство размоет сам сайт на заднем фоне */
    backdrop-filter: blur(5px); 
    -webkit-backdrop-filter: blur(5px);

    z-index: 1000;
    align-items: center;
    justify-content: center;
}

.modal-content {
    background: rgba(255, 255, 255, 0.1); /* Прозрачность */
    backdrop-filter: blur(15px); /* Размытие */
    -webkit-backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 20px;
    padding: 30px;
    width: 90%;
    max-width: 450px; /* Ограничиваем ширину, чтобы не растягивалось */
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.5);
    color: white;
    text-align: center;
}

@keyframes gradientBG {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}